Package Details: brackets-bin 1.14-2

Git Clone URL: https://aur.archlinux.org/brackets-bin.git (read-only)
Package Base: brackets-bin
Description: A code editor for HTML, CSS and JavaScript.
Upstream URL: http://brackets.io
Licenses: MIT
Conflicts: brackets, brackets-git
Provides: brackets=1.14
Submitter: danyf90
Maintainer: MrHritik
Last Packager: MrHritik
Votes: 137
Popularity: 0.433569
First Submitted: 2013-12-03 16:03
Last Updated: 2019-05-06 08:53

Pinned Comments

MrHritik commented on 2018-12-10 19:40

Currently works with a temporary patch suggested by @Musikolo.
https://github.com/adobe/brackets/issues/14485

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 ... Next › Last »

joeordie commented on 2018-02-26 22:01

Got the package to build today, but not auto-magically .

  • first install google-chrome <- I don't really think at this point that its 'optional.'

  • Then create a link with:

    # ln -s /opt/google/chrome/google-chrome /bin/google-chrome

  • Download your package or use your aur manager to set up PKGBUILD folders:

    $ packer -G brackets-bin

  • Edit PKGBUILD file, line 59 to read:

    install -Dm4755 $srcdir/opt/brackets/chrome-sandbox \

  • Make and install!

    $ cd brackets-bin && makepkg && sudo pacman -U *.tar

I guess i should learn about the PKGBUILD conventions to make a few suggestions.

Good Luck!

F1nny commented on 2018-02-19 00:19

Still broken unfortunately but updated the PKGBUILD moving from pre-release to release version - is this just something not going to fix? Makes it unable to build @bsm456

callofdutyops commented on 2018-01-05 17:29

First, please remember to edit the PKGBUILD according to @robshin

And after that, if you got an error when using live preview like this:

"Error launching browser An error occurred when launching the browser. (error Unknown) Form more information, see Toubleshooting Live Preview connection errors."

Please add a symlink: /bin/google-chrome -> /opt/google/chrome/google-chrome

The command to achieve this:

# ln -s /opt/google/chrome/google-chrome /bin/google-chrome

rel: https://github.com/adobe/brackets/issues/7372

robshin commented on 2018-01-05 04:42

@bm456

/src/opt/brackets/chrome-sandbox should be /src/opt/brackets/chrome_sandbox

Edit PKGBUILD to chrome-sandbox.

bm456 commented on 2018-01-05 00:42

testing

please say if it works

kolewu commented on 2017-12-26 21:38

Package checksum (at least for x86_64) is wrong and sandbox helper has wrong permissions:

[1226/220805:FATAL:setuid_sandbox_host.cc(157)] The SUID sandbox helper binary was found, but is not configured correctly. Rather than run without sandboxing I'm aborting now. You need to make sure that /opt/brackets/chrome-sandbox is owned by root and has mode 4755.

Since the wrapper script disables all output, this error cannot be seen even if started from the commandline. It would be way better, to change the wrapper:

@@ -17,4 +17,4 @@
 fi
 export LD_LIBRARY_PATH

-exec -a "$0" "$HERE/Brackets"  "$@" 1>/dev/null 2>&1 &
+exec -a "$0" "$HERE/Brackets"  "$@"

Ramadhan commented on 2017-11-24 01:52

still cannot executing this program.

alfredo.ardito commented on 2017-11-12 08:44

I installed the package successfully but unfortunately it doesn't execute at all.

digitalone commented on 2017-11-04 16:13

Don't work, it won't execute.

mokos commented on 2017-10-10 17:37

I used brackets 1.11 version but i couldn't install anything from extention manager, so I uninstall this package and returned to Brackets-bin-1.10 version!!!
to install the Brackets-bin 1.10 version you need to give this command through terminal

1) yaourt --m-arg "--skipchecksums --skippgpcheck" -Sb brackets-bin
2) edit pkgbuild and change the version number...!